Bug 1654881

Summary: Review Request: golang-rsc-pdf - PDF Reader for Go
Product: [Fedora] Fedora Reporter: Derek Parker <deparker>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: deparker, package-review, quantum.analyst, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-28 19:38:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1666682    

Comment 1 Robert-André Mauchin 🐧 2018-11-30 14:52:48 UTC
 - %defattr(-,root,root,-): This is not needed

 - I don't understand the point of:

%dir %attr(755,root,root) %{gopath}/src/%{goipath}
%{gopath}/src/%{goipath}/*.go
%{gopath}/src/%{goipath}/pdfpasswd/*.go


   All the files should already be specified in devel.file-list and thus do not need to be specified manually.

 - Why is there a trailing "toolchain." in the common description?

 - Upstream provides releases: https://github.com/rsc/pdf/releases

You should use them:

%global goipath         rsc.io/pdf
%global forgeurl        https://github.com/rsc/pdf
Version:                0.1.1

%global common_description %{expand:
PDF reader implemented in Go.}

%gometa 

Name:           %{goname}
Release:        1%{?dist}

Comment 3 Robert-André Mauchin 🐧 2018-12-06 19:31:43 UTC
 - Version-Release info is erroneous in the %changelog entry:

* Wed Nov 28 2018 Derek Parker <deparker@redhat.com> - 0.1.1-1

 - Don't mix tabs and spaces:

Version:		0.1.1

 - SPEC file should be named golang-rsc-pdf.spec

Comment 5 Robert-André Mauchin 🐧 2018-12-21 20:25:47 UTC
Package approved.

Comment 6 Elliott Sales de Andrade 2019-01-16 01:51:10 UTC
The current golang-x-arch package cannot be installed because this package has not been built. Are you planning to finish building this package?

Comment 7 Derek Parker 2019-01-16 18:20:44 UTC
Yes I will build today.

Comment 8 Gwyn Ciesla 2019-01-16 19:22:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-rsc-pdf

Comment 9 Derek Parker 2019-01-16 22:54:48 UTC
I'm trying to build using `fedpkg build` but I get the following error:

error: line 12: Unknown tag: %gometa

Comment 10 Elliott Sales de Andrade 2019-01-17 07:54:59 UTC
I just ran the build and didn't seem to have any issues; maybe it was the last whitespace change you made? https://koji.fedoraproject.org/koji/taskinfo?taskID=32080719

Can you also request and build f29 and f28 branches? golang-x-arch is built on the those branches and uninstallable there too.

PS, please add Go packages to the @go-sig group on src.fp.o.

Comment 11 Derek Parker 2019-01-17 21:14:16 UTC
I was just able to build, it was just a problem with my fedpkg on RHEL, I used the Fedora VM I used to build the SRPMs and all was good. All builds should be up now.

Also, how do I accomplish the last thing you mentioned?

Comment 12 Elliott Sales de Andrade 2019-01-19 01:13:58 UTC
You'll need to go to the settings on https://src.fedoraproject.org/rpms/golang-rsc-pdf and add the group to the Users & Groups list.

Also, you'll have to submit updates for the releases; builds don't automatically show up except in Rawhide.

Comment 13 Fedora Update System 2019-01-21 23:54:17 UTC
golang-rsc-pdf-0.1.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-720efa9aab

Comment 14 Fedora Update System 2019-01-21 23:54:49 UTC
golang-rsc-pdf-0.1.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5e660ab14a

Comment 15 Derek Parker 2019-01-21 23:55:29 UTC
(In reply to Elliott Sales de Andrade from comment #12)
> You'll need to go to the settings on
> https://src.fedoraproject.org/rpms/golang-rsc-pdf and add the group to the
> Users & Groups list.
> 
> Also, you'll have to submit updates for the releases; builds don't
> automatically show up except in Rawhide.

Thanks, just took care of all of that.

Comment 16 Fedora Update System 2019-01-22 01:16:46 UTC
golang-rsc-pdf-0.1.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-720efa9aab

Comment 17 Fedora Update System 2019-01-22 03:04:06 UTC
golang-rsc-pdf-0.1.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5e660ab14a

Comment 18 Elliott Sales de Andrade 2019-02-03 03:27:08 UTC
Don't forget to push your updates to batched/stable.

Comment 19 Fedora Update System 2019-02-28 19:38:25 UTC
golang-rsc-pdf-0.1.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-02-28 20:27:48 UTC
golang-rsc-pdf-0.1.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.